Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gnu.xml.dom
Class DomText

    java.lang.Object
      |
      +--gnu.xml.dom.DomNode
            |
            +--gnu.xml.dom.DomCharacterData
                  |
                  +--gnu.xml.dom.DomText

All Implemented Interfaces:
  CharacterData, java.lang.Cloneable, DocumentEvent, EventTarget, Node, NodeList, Text

Direct Known Subclasses:
  DomCDATA

public class DomText
extends DomCharacterData
implements Text

"Text" implementation.

Version:
  $Date: 2001/11/20 04:54:32 $
Author:
  David Brownell

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`protected` | `DomText(Document owner, char[] buf, int off, int len)`
`protected` | `DomText(Document owner, java.lang.String value)` Constructs a text node associated with the specified document and holding the specified data.

Method Summary
`java.lang.String` | `getNodeName()` DOM L1 Returns the string "#text".
`short` | `getNodeType()` DOM L1 Returns the constant TEXT_NODE.
`Text` | `splitText(int offset)` DOM L1 Splits this text node in two parts at the offset, returning the new text node (the sibling with the second part).

Methods inherited from class gnu.xml.dom.DomCharacterData
`appendData, deleteData, getChildNodes, getData, getLength, getNodeValue, insertData, replaceData, setData, setNodeValue, substringData`

Methods inherited from class gnu.xml.dom.DomNode
`addEventListener, appendChild, clone, cloneNode, compact, createEvent, dispatchEvent, getAttributes, getElementsByTagName, getElementsByTagNameNS, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isReadonly, isSupported, item, makeReadonly, nameAndTypeEquals, normalize, removeChild, removeEventListener, replaceChild, setPrefix, trimToSize`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.w3c.dom.CharacterData
`appendData, deleteData, getData, getLength, insertData, replaceData, setData, substringData`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Constructor Detail

### DomText

    protected DomText(Document owner,
                      java.lang.String value)

  Constructs a text node associated with the specified document and holding the specified data.

  This constructor should only be invoked by a Document object as part of its createTextNode functionality, or through a subclass which is similarly used in a "Sub-DOM" style layer.

### DomText

    protected DomText(Document owner,
                      char[] buf,
                      int off,
                      int len)

Method Detail

### getNodeName

    public java.lang.String getNodeName()

  DOM L1 Returns the string "#text".
  Specified by:
    `getNodeName` in interface `Node`

### getNodeType

    public short getNodeType()

  DOM L1 Returns the constant TEXT_NODE.
  Specified by:
    `getNodeType` in interface `Node`

### splitText

    public Text splitText(int offset)

  DOM L1 Splits this text node in two parts at the offset, returning the new text node (the sibling with the second part).
  Specified by:
    `splitText` in interface `Text`
  Following copied from interface: `org.w3c.dom.Text`
  Parameters:
    `offset` - The 16-bit unit offset at which to split, starting from `0`.
  Returns:
    The new node, of the same type as this node.
  Throws:
    `DOMException` - INDEX_SIZE_ERR: Raised if the specified offset is negative or greater than the number of 16-bit units in `data`.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this node is readonly.

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Source code is under GPL (with library exception) in the JAXP project at http://www.gnu.org/software/classpathx/jaxp
This documentation was derived from that source code on 2001-11-20.